Bug 965435 - nfs:Unable to resolve FH(READDIR issue)
nfs:Unable to resolve FH(READDIR issue)
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
mainline
x86_64 Linux
high Severity urgent
: ---
: ---
Assigned To: rjoseph
:
Depends On: 960835
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 04:59 EDT by rjoseph
Modified: 2013-07-24 13:11 EDT (History)
5 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 960835
Environment:
Last Closed: 2013-07-24 13:11:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Anand Avati 2013-05-21 07:25:49 EDT
REVIEW: http://review.gluster.org/5057 (nfs: Unable to resolve FH) posted (#1) for review on master by Rajesh Joseph (rjoseph@redhat.com)
Comment 2 Anand Avati 2013-05-24 04:25:36 EDT
REVIEW: http://review.gluster.org/5057 (nfs: Unable to resolve FH) posted (#2) for review on master by Rajesh Joseph (rjoseph@redhat.com)
Comment 3 Anand Avati 2013-05-24 08:46:30 EDT
COMMIT: http://review.gluster.org/5057 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 757d697e586dd73edcd7400d9c6afee19ed49b85
Author: Rajesh Joseph <rjoseph@redhat.com>
Date:   Tue May 21 16:48:12 2013 +0530

    nfs: Unable to resolve FH
    
    Bug (965435):  while deleting files/directory from multiple machines nfs server
    logs show "Unable to resolve FH" error.
    
    Cause: The error is shown whenever the server receives rmdir/remove call and the
    file/directory is already deleted. Server always shows "Unable to resolve FH"
    irrespective of what is the actual error.
    
    Fix: The error message seems little misleading therefore changed the error
    message to display the actual cause.
    
    Change-Id: I4f9c151f737317d618278c59d9f66fe9f46350b8
    BUG: 965435
    Signed-off-by: Rajesh Joseph <rjoseph@redhat.com>
    Reviewed-on: http://review.gluster.org/5057
    Reviewed-by: Santosh Pradhan <spradhan@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.